/************************************************************************
 *
 * Project:     TH-03
 *
 * Filename:    th03dos.c
 *
 * Copyright:   Pico Technology Limited 1996
 *
 *              www.picotech.com
 *
 * Description:
 * This module demonstrates how to use the DOS driver
 *
 * History:
 *   28Nov96 MKG Created
 *
 * Revision Info: "file %n date %f revision %v"
 *                ""
 *
 *
 ***************************************************************************/

#include <dos.h>
#include <stdio.h>
#include <conio.h>
#include "windows.h"

#include "th03.h"

#define FALSE 0
#define TRUE  1

/************************************************************************
 *
 *
 *
 ************************************************************************/

void main (int argc, char ** argv)
  {
  long          raw;
  long          filtered;
  char          ch;
  int           ok;
  int           done;
  int           port;

  /* select serial port...
   */
   do
   {
       printf ("Serial port (1..4): ");
       port = getchar () - '0';
   } while ((port < 1) || (port > 4));


  /* Specify the serial port (use default base addr and interrupt)
   */
  ok = th03_open_unit (port);
  if (ok)
    {

    /* Say channel 1 is low-temperature sensor (type 1),
     *  channels 2 and 3 are unused
     */
    th03_set_channel (port, 1, 1, 10);
    th03_set_channel (port, 2, 0, 10);
    th03_set_channel (port, 3, 0, 10);

    /* tell the user what to do
     */
    printf ("TH-03 DOS driver demo V1.0\n");
    printf ("Copyright 1996 Pico Technology Limited\n");
    printf ("<esc> - exit\n");

    done = FALSE;
    while (!kbhit ())
      {
      /* Wait a second between readings
       */
      Sleep(1000);

      /* Get raw and filtered values from channel 1
       */
      ok  = th03_get_temp (&raw,      port, 1, FALSE);
      ok &= th03_get_temp (&filtered, port, 1, TRUE);
      if (ok)
        {
        printf ("measured: %6ld  filtered: %6ld\n", raw, filtered);
        }
      else
        printf ("no data available yet...\n");

      }
    th03_close_unit (port);
    }
  else
    printf ("Unable to connect to TH-03\n");


  }

